This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 443414 - Network device menu + Set the hostname:
Network device menu + Set the hostname:
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: David Cantrell
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: F9Target
  Show dependency treegraph
 
Reported: 2008-04-21 09:45 EDT by Jóhann B. Guðmundsson
Modified: 2008-04-25 19:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-25 19:58:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jóhann B. Guðmundsson 2008-04-21 09:45:20 EDT
Description of problem:

Network devices menu.

Hostname

Set the hostname:
  O automaticly via DHCP
  O manually [ localhost.localdomain ]

If you choose to enable the option "automatically via DHCP"
and then chose to [ Edit ] for a specific network device 
then press [ OK ] it sets it self back to "manually [ localhost.localdomain ]"

It also sets it self back to "manually [ localhost.localdomain ]" if you have
chosen to enable the option automatically via DHCP
and press [ Next ] and are now in the select timezone menu and press [ Back ].

Version-Release number of selected component (if applicable):

F9-Preview-Live iso 
( anaconda-11.4.0.72-1.i386 )

How reproducible:

Always

Steps to Reproduce:
1. The above.
2.
3.
  
Actual results:



Expected results:

Additional info:
Comment 1 David Cantrell 2008-04-23 21:14:07 EDT
This is deliberate.  We force users to set a hostname manually, even if you are using DHCP.  You can 
change it back to use DHCP for the hostname, but the default now is manual.  See bug #408921 for 
details.

It doesn't really matter what the hostname is, but we have seen systems (laptops in particular) set up to 
use DHCP for the hostname and that causes a lot of X applications to fail.  This change in anaconda came 
as a request from the desktop team.
Comment 2 Jóhann B. Guðmundsson 2008-04-24 08:01:28 EDT
Would it not be better then to remove the option to set the 
hostname automatically via dhcp altogether ?
Comment 3 David Cantrell 2008-04-24 16:17:22 EDT
No, see bug #408921.
Comment 4 Jóhann B. Guðmundsson 2008-04-25 11:23:25 EDT
Had already read it. 

Failed to see the connection between it and this bug.

I think you misunderstanding the bug report I filed.

My bug report is about after a user has chosen to use
Automatically via DHCP instead of Manually [ localhost.localdomain ],
Anaconda sets the option back to Manually if the user goes back and 
forth in anaconda.

I am not filing a bug against which one should be the default..
If it was the other way around I would still be filing this bug...

I am filing a bug against anaconda always resetting it to default after
a user has chosen not to use the default if he goes back and fourth in anaconda
or in edit tab for the network interface.

Anaconda should be honoring the users chose..

So reopen this bug.

Comment 5 David Cantrell 2008-04-25 19:58:29 EDT
You are absolutely correct, I did read your initial report incorrectly.  My apologies.

OK, I fixed this up in version control, so we should have this working in the next anaconda build.  The 
change ID in git is 3c4deee414ad8c37cfdc55ce2de7d4fbd49af017.  Basically, it was entirely a UI bug.  
Underneath, anaconda was doing what you told it.  But yes, going Back to the network configuration 
screen was resetting the 'Set the hostname' option to manual.

I've fixed it now so the default is manual, but once you change it, we preserve that.  So going Back to the 
network configuration will show the setting you gave it for 'set the hostname'.

Note You need to log in before you can comment on or make changes to this bug.